PETSc version 3.17.4
Fix/Edit manual page

# MatDenseCUDAResetArray

Resets the matrix array to that it previously had before the call to MatDenseCUDAPlaceArray()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseCUDAResetArray(Mat mat)

Not Collective

### Input Parameters

| mat | - the matrix

### Notes

You can only call this after a call to MatDenseCUDAPlaceArray()

### See Also

MatDenseCUDAGetArray(), MatDenseCUDAPlaceArray()

### Level

developer

### Location

src/mat/impls/dense/mpi/mpidense.c

### Implementations

MatDenseCUDAResetArray_MPIDenseCUDA in src/mat/impls/dense/mpi/mpidense.c
MatDenseCUDAResetArray_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages